Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 674772

Summary: www-apps/webdavcgi-1.1.1 with dev-lang/perl-5.26 - unescaped braces
Product: Gentoo Linux Reporter: Alexander Weber <web.alexander>
Component: Current packagesAssignee: Christian Affolter <c.affolter>
Status: UNCONFIRMED ---    
Severity: normal CC: dev-zero, kentnl, proxy-maint
Priority: Normal Keywords: PATCH, PullRequest
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=658470
https://github.com/gentoo/gentoo/pull/10826
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 613764    
Attachments: fix unescaped braces in webdavcgi-1.1.1 for perl-5.26

Description Alexander Weber 2019-01-07 11:31:36 UTC
Created attachment 560178 [details, diff]
fix unescaped braces in webdavcgi-1.1.1  for perl-5.26

webdavcgi-1.1.1 is broken with perl-5.26 because of unescaped braces in regex.

The issue seems to be fixed in upstream: https://github.com/DanRohde/webdavcgi/commit/04e79b7ecbaf3aae5ab813cd4fc0a009c72b1580

Till version bump (https://bugs.gentoo.org/658470) I fixed the braces for webdavcgi-1.1.1. See attached patch that works for me.
Comment 1 Kent Fredric (IRC: kent\n) gentoo-dev 2019-01-07 22:07:02 UTC
I encourage the maintainer of this package to do something so that some sort of useful tests execute with FEATURES="test"

My huge test run did find and test this package[1], but nothing failed with FEATURES="test", and so this package being broken wasn't discovered until somebody was affected, which is very sub-par.

Please put in some effort to make it so that in situations like this, src_test *would* fail, so that future test sweeps provide useful fault detection.

1: https://github.com/kentfredric/gentoo-perl-triage/blame/5.28.0/index/www-apps-w#L5
Comment 2 Christian Affolter 2019-01-17 13:44:52 UTC

(In reply to Alexander Weber from comment #0)
> webdavcgi-1.1.1 is broken with perl-5.26 because of unescaped braces in
> regex.
> 
> The issue seems to be fixed in upstream:
> https://github.com/DanRohde/webdavcgi/commit/
> 04e79b7ecbaf3aae5ab813cd4fc0a009c72b1580
> 
> Till version bump (https://bugs.gentoo.org/658470) I fixed the braces for
> webdavcgi-1.1.1. See attached patch that works for me.

thanks a lot for the report and the proposed regex patch. 

The PR is available on GitHub:
https://github.com/gentoo/gentoo/pull/10826


(In reply to Kent Fredric (IRC: kent\n) from comment #1)
> I encourage the maintainer of this package to do something so that some sort
> of useful tests execute with FEATURES="test"

would you have some proposal on what you expect in this case? Perhaps a good example from another ebuild? The upsteam project itself, doesn't seems to provide built-in test cases. Thanks.
Comment 3 Andreas K. Hüttel gentoo-dev 2019-05-17 21:20:42 UTC
Not a 5.28 regression